## org.openorb.compiler.idl.reflect
Interface idlArray

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlArray

public interface idlArray
extends idlObject

This interface is implemented by all IDL objects that represent an IDL array

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:20 $
Author:
  Jerome Daniel

Method Summary
`int[]` `dimensions()` Return the array dimensions
`idlObject` `internal()` Return the internal type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### dimensions

    public int[] dimensions()

  Return the array dimensions

### internal

    public idlObject internal()

  Return the internal type